\begin{tikzpicture}[
  align                   = center,
  scale                   = 1,
  every node/.style       = {
    scale         = 1,
    shape         = rectangle,
    fill          = RoslynNodeContentBorder,
    draw          = RedTreeNode,
    text          = black,
    text centered,
    line width    = 1mm,
    text height   = 3.5mm,
    text depth    = 0.8mm,
    minimum width = 8mm
  },
  every edge/.style       = {draw, ->, >={Stealth[width=6pt,length=9pt]}},
  edge from parent/.style = {draw, ->, >={Stealth[width=6pt,length=9pt]}},
  level 1/.style          = {level distance=21mm},
  level 2/.style          = {level distance=25mm},
]
  \Tree [.\node{$2 * 2 - 2 * 2$}; [.\node{$2 * 2$};
                                      [.\node{$2$};]
                                      [.\node{$*$};]
                                      [.\node{$2$};]]
                                  [.\node{$-$};]
                                  [.\node{$2 * 2$};
                                      [.\node{$2$};]
                                      [.\node{$*$};]
                                      [.\node{$2$};]]]
\end{tikzpicture}
